Bug 1421482 - Remove (7.6.33) BOINC Xorg based idle detection
Summary: Remove (7.6.33) BOINC Xorg based idle detection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 16:32 UTC by Germano Massullo
Modified: 2018-02-19 19:33 UTC (History)
6 users (show)

Fixed In Version: boinc-client-7.8.4-1.fc27 boinc-client-7.8.4-1.fc26 boinc-client-7.8.4-1.fc25 boinc-client-7.8.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-19 19:33:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2017-02-12 16:32:38 UTC
Description of problem:
Personal reminder:
BOINC 7.6.33 relies on XScreenSaver API to detect user idle time. To do that it has to look for active displays under /tmp/.X11-unix directory. SELinux denies BOINC to open such directory.
Source code at[1]

Keeping in mind that Wayland will replace Xorg, but on EPEL7, we should:
1) set selinux on permissive mode and check if the new idle detection time algorithm works;
1-a) if not, affected source code should be commented;
1-b) if yes, ask SELinux maintainers and/or security team for a feedback about BOINC reading that directory.

[1]:https://github.com/BOINC/boinc/issues/1187#issuecomment-279226616

Version-Release number of selected component (if applicable):
7.6.33, not yet in any official Fedora repository, but on my Copr repo https://copr.fedorainfracloud.org/coprs/germano/boinc/

Comment 1 Fedora End Of Life 2017-02-28 11:15:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Germano Massullo 2017-03-14 10:04:22 UTC
On Fedora, Xorg based idle detection will be removed with a patch

https://github.com/BOINC/boinc/issues/1187#issuecomment-286374737

Comment 3 Jan Kurik 2017-08-15 08:34:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Germano Massullo 2017-09-24 23:40:35 UTC
Info: as soon as possible I will start collaborating with Volunode [1] developer in order to bring such kind of BOINC fork into Fedora repositories.
Unfortunately BOINC upstream keeps implementing obsolete and controversial technical solution to detect user idle time on Linux.
Volunode should fix that problem and many other problems that affect the Linux version of BOINC client

[1]: http://volunode.com/greetings/

Comment 5 Fedora Update System 2017-10-20 09:07:01 UTC
boinc-client-7.8.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65f3922240

Comment 6 Fedora Update System 2017-10-20 09:09:05 UTC
boinc-client-7.8.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-520df58c68

Comment 7 Fedora Update System 2017-10-20 09:10:31 UTC
boinc-client-7.8.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a21b5d9b81

Comment 8 Fedora Update System 2017-10-20 09:11:57 UTC
boinc-client-7.8.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25fce4ebdd

Comment 9 Fedora Update System 2017-10-21 19:28:24 UTC
boinc-client-7.8.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25fce4ebdd

Comment 10 Fedora Update System 2017-10-22 02:24:48 UTC
boinc-client-7.8.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65f3922240

Comment 11 Fedora Update System 2017-10-22 03:24:12 UTC
boinc-client-7.8.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a21b5d9b81

Comment 12 Fedora Update System 2017-10-22 05:17:53 UTC
boinc-client-7.8.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-520df58c68

Comment 13 Germano Massullo 2017-10-22 20:16:33 UTC
Idle time detection still does not work on boinc-client-7.8.3.
The only improvement is the patch that does not trigger SELinux alerts

Comment 14 Fedora Update System 2017-11-14 08:55:35 UTC
boinc-client-7.8.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-afb2246c84

Comment 15 Fedora Update System 2017-11-14 08:57:40 UTC
boinc-client-7.8.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-45b1e5bc58

Comment 16 Fedora Update System 2017-11-14 08:59:07 UTC
boinc-client-7.8.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b3e960d5ad

Comment 17 Fedora Update System 2017-11-14 09:00:33 UTC
boinc-client-7.8.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c45de2e44e

Comment 18 Fedora Update System 2017-11-14 15:48:24 UTC
boinc-client-7.8.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-afb2246c84

Comment 19 Fedora Update System 2017-11-14 16:45:22 UTC
boinc-client-7.8.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b3e960d5ad

Comment 20 Fedora Update System 2017-11-14 17:13:12 UTC
boinc-client-7.8.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c45de2e44e

Comment 21 Fedora Update System 2017-11-14 20:42:37 UTC
boinc-client-7.8.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-45b1e5bc58

Comment 22 Fedora Update System 2017-11-25 02:36:44 UTC
boinc-client-7.8.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-11-28 00:48:52 UTC
boinc-client-7.8.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-11-28 17:33:45 UTC
boinc-client-7.8.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-12-09 03:29:45 UTC
boinc-client-7.8.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Germano Massullo 2018-02-19 19:33:23 UTC
Xorg based idle time detection has never worked and it used to trigger SELinux alerts. Now it has been disabled with a patch file


Note You need to log in before you can comment on or make changes to this bug.